<?php

namespace unchat\healthmanager\commands;

use pocketmine\command\CommandSender;
use unchat\healthmanager\commands\sub\AddCommand;
use unchat\healthmanager\commands\sub\RemoveCommand;
use unchat\healthmanager\commands\sub\SetCommand;
use unchat\healthmanager\HealthManager;
use unchat\healthmanager\libs\CortexPE\Commando\BaseCommand;

class HealthCommand extends BaseCommand
{
    public function __construct(HealthManager $plugin)
    {
        parent::__construct($plugin, "health", "Health commands");
    }

    protected function prepare(): void
    {
        $this->registerSubCommand(new SetCommand($this->getOwningPlugin()));
        $this->registerSubCommand(new AddCommand($this->getOwningPlugin()));
        $this->registerSubCommand(new RemoveCommand($this->getOwningPlugin()));
        $this->setPermission("healthmanager.use");
    }

    public function onRun(CommandSender $sender, string $aliasUsed, array $args): void
    {
        $sender->sendMessage("§cUsage: /health <set|add|remove> <player> <amount>");
    }
}