<?php

namespace unchat\healthmanager\commands\sub;

use pocketmine\command\CommandSender;
use pocketmine\player\Player;
use pocketmine\plugin\PluginBase;
use pocketmine\Server;
use unchat\healthmanager\HealthManager;
use unchat\healthmanager\libs\CortexPE\Commando\args\IntegerArgument;
use unchat\healthmanager\libs\CortexPE\Commando\args\TargetPlayerArgument;
use unchat\healthmanager\libs\CortexPE\Commando\BaseSubCommand;

class RemoveCommand extends BaseSubCommand
{
    public function __construct(PluginBase $plugin)
    {
        parent::__construct($plugin, "remove", "Remove health from player");
    }

    protected function prepare(): void
    {
        $this->registerArgument(0, new TargetPlayerArgument());
        $this->registerArgument(1, new IntegerArgument("amount"));
        $this->setPermission("healthmanager.use");
    }

    public function onRun(CommandSender $sender, string $aliasUsed, array $args): void
    {
        if (!$sender instanceof Player) return;

        $player = Server::getInstance()->getPlayerByPrefix($args["player"]) ?? $sender;
        $amount = $args["amount"];

        $config = HealthManager::getInstance()->getConfig();

        if (!$player instanceof Player) {
            $sender->sendMessage($config->getNested("messages.error") . "\nCode: 1");
            return;
        }

        if ($player->getHealth() - $amount < 1) {
            $sender->sendMessage($config->getNested("messages.error") . "\nCode: 2");
            return;
        }

        $player->setHealth($player->getHealth() - $amount);
        $sender->sendMessage(str_replace(
            ["{health}", "{player}"],
            [$amount, $player->getName()],
            $config->getNested("messages.remove")
        ));
    }
}