<?php

/***
 *    ___                                          _
 *   / __\___  _ __ ___  _ __ ___   __ _ _ __   __| | ___
 *  / /  / _ \| '_ ` _ \| '_ ` _ \ / _` | '_ \ / _` |/ _ \
 * / /__| (_) | | | | | | | | | | | (_| | | | | (_| | (_) |
 * \____/\___/|_| |_| |_|_| |_| |_|\__,_|_| |_|\__,_|\___/
 *
 * Commando - A Command Framework virion for PocketMine-MP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Written by @unchat\healthmanager\libs\CortexPE <https://unchat\healthmanager\libs\CortexPE.xyz>
 *
 */
declare(strict_types=1);

namespace unchat\healthmanager\libs\CortexPE\Commando;


use unchat\healthmanager\libs\CortexPE\Commando\constraint\BaseConstraint;

/**
 * Interface IRunnable
 *
 * An interface which is declares the minimum required information
 * to get background information for a command and/or a sub-command
 *
 * @package unchat\healthmanager\libs\CortexPE\Commando
 */
interface IRunnable
{
    public function getName(): string;

    /**
     * @return string[]
     */
    public function getAliases(): array;

    public function getUsageMessage(): string;

    /**
     * @return string[]
     */
    public function getPermissions(): array;

    /**
     * @return BaseConstraint[]
     */
    public function getConstraints(): array;
}
